c
c	Program determines the fit parameters for a power-law function
c	that is matched to the slope and densities at the location
c	in the topside ionosphere where the slope is a maximum.  It
c	starts looking at the F2 peak and stops when the slope starts
c	to decrease.  It steps upward with an interval of delh.
c
c	This version of the code only looks along the magnetic equator.
c	d.l. gallagher    March 13, 1999.
c
	subroutine iri_ps_eq_bridge(amlt,itime,transh,alpha,ano)
c
	real re,delh,delr,amltrad,tot_delh,r
	parameter (re=6371.0,delh=10.0,tot_delh=600.0/re)
	parameter (r=200.0/re+1.0,delr=delh/re)
	parameter (amltrad=3.1415927/12.0)
c
	real outf(11,100),oarr(35),alatr,along
	real pi,hs,amlt,rs,diff,diff_old,dens_old,dens
	real ano,alpha,transh
	integer itime(2)
	data pi/3.1415927/

d	type *,'entering iri_ps_eq_bridge',amlt,itime

	alatr=0.0
	along=(amlt+12.0)*amltrad
	along=along - (1.0-sign(1.0,(12.0-amlt)))*pi

c  get height and densiy of the f2 peak
d	  type *,'iri_ps_eq_bridge calling iri_sm @r',itime
	call iri_sm(alatr,along,r,itime,outf,oarr)
	rs=oarr(2)/re+1
	outf(1,1)=oarr(1)

	diff=1.0e30
	diff_old=2.0e30

	do while (diff .lt. diff_old)

c	write(48,*) rs,outf(1,1)

	  diff_old=diff
	  dens_old=outf(1,1)
	  rs=rs+delr
d	  type *,'iri_ps_eq_bridge calling iri_sm @rs',itime
	  call iri_sm(alatr,along,rs,itime,outf,oarr)

c	write(50,33) alatr,along,rs,outf(1,1)
33	format(1x,1p4e12.4)

	  diff=outf(1,1)-dens_old
	end do

	hs=(rs-1)*re
	dens=outf(1,1)
	alpha=-log(dens_old/dens)/log(1.0-delh/hs)
	ano=dens/hs**(-alpha)
	transh=hs-delh/2.0


c	type *,'leaving iri_ps_eq_bridge',alpha,ano,transh
d	type *,dens_old,dens,delh,hs
	return
	end
