c
c
c  This program calcuates the density profile for the interior
c  plasmasphere and for the emipirical modeling project.
c
c  The Carpenter and Anderson, 1992 plasmasphere is used only for a saturated plasmasphere.
c  For a more typical plasmaspheric density profile, we will use a profile obtained from
c  Gallagher et al. 1988
c
c  D. Gallagher 4/15/91 
c               10/3/94  modified back to Carpenter and Anderson
c                        to represent steady state model
c		    7/10/97  changed to more typical profile based on DE1/RIMS
c					a6=-0.7024 & a7=4.9412
c					these come from RIMS; launch through 82012
c					from the empirical plasmaspheric database
c			1/2/99 find for 3<L-shell<9 and Kp daily sum<168 which is
c					the mean for the DE1/RIMS density samples
c					a6=-0.55 and a7=4.44
c
	function ne_inner_ps(al,amlt,am1,b1)
c
	real ne_inner_ps,al,amlt,a6,a7
	real dummy,am1,b1
c
c	data a6/-0.49/,a7/4.7/
c	data a6/-0.3145/,a7/3.9043/
c  rims 1981 data set with mean mlt of 20.13 hours gives
c	density=10**(-0.6061*al+4.8596)
c  rims 1981data set with mean mlt of 7.61 hours gives
c	density=10**(-0.758*al+4.975)
c  rims 1981 data set that includes both day and night sides gives
c	density=10**(-0.7*al+4.94)
c	data a6/-0.6061/,a7/4.8596/
	data a6/-0.55/,a7/4.44/
c
	dummy=amlt		!reserved for future use
	ne_inner_ps=10**(a6*al+a7)
	am1=a6
	b1=a7
c
	return
	end
