c
c	This subroutine is responsible for deteriming the total electron
c	density as a function of position within the ionosphere and
c	plasmasphere.
c
	function ne_iri_ps_trough(r,al,alatr,amlt,akp,itime)
c
	real pi,amltrad,re,amlt_o,akp_o,al_o
	parameter (pi=3.1415927,amltrad=pi/12.0)
	real r,al,amlt,akp,ne_iri_ps_trough_eq
	real ne_iri_ps_trough,aheight,alatr,transh,alpha
	real outf(11,100),oarr(35),eq_iri_ps_trough
	real ano,co,along,eq_bridge,swtch1,switchon
	integer itime(2),itime1_o,itime2_o,istat
	data re/6371.0/
	data amlt_o/-99.0/akp_o/-99.0/,al_o/-99.0/
	data itime1_o/-99/,itime2_o/-99/
c
c  We don't do inside the earth; we're just not that kind of model, humph!
	if(r.le.1.0) then
	  ne_iri_ps_trough=0.0
	  return
	end if
c
c
c  altitude of point of interest
	aheight=(r-1.0)*re
c  density at the equator for given L-shell
	eq_iri_ps_trough=ne_iri_ps_trough_eq(al,amlt,akp,itime)
d	type *,'eqn=',eq_iri_ps_trough

	if(amlt.ne.amlt_o .or. akp.ne.akp_o .or.
     &	itime(1).ne.itime1_o .or. itime(2).ne.itime2_o .or.
     &	al.ne.al_o) then
c
c  determine the height power law fit parameters that connect the
c  topside ionosphere to the equatorial density along given L-shell
	  call iri_ps_bridge(r,al,alatr,amlt,itime,eq_iri_ps_trough,
     &		transh,alpha,ano,co,istat)
	  if (istat.lt.0.0) then
	    along=(amlt-12.0)*amltrad
	    call iri_sm(alatr,along,r,itime,outf,oarr)
	    ne_iri_ps_trough=outf(1,1)
	    return
	  endif
	  al_o=al
	  amlt_o=amlt
	  akp_o=akp
	  itime1_o=itime(1)
	  itime2_o=itime(2)
d	type *,'ne_iri_ps_trough transh=',transh,alpha,ano,co,istat
	end if

c  compute density as given by the bridge function
	  eq_bridge=ano*aheight**(-alpha) + co

c  to call IRI or not to call IRI, that is the question...
	  if (aheight.lt.1000.0) then
	    along=(amlt-12.0)*amltrad
	    call iri_sm(alatr,along,r,itime,outf,oarr)
	    swtch1=switchon(aheight,transh,5.0)
	    ne_iri_ps_trough=outf(1,1)*(1.0-swtch1) + eq_bridge*swtch1
	    ne_iri_ps_trough=ne_iri_ps_trough*float(istat+1)
     &						+ outf(1,1)*float(iabs(istat))
d	type *,'swtch',outf(1,1),eq_bridge,swtch1,ne_iri_ps_trough
	  else

	    ne_iri_ps_trough=eq_bridge
	  end if

c
	return
	end
