c
c	This subroutine is responsible for deteriming the total electron
c	density as a function of position within the ionosphere and
c	plasmasphere at the magnetic equator.
c
	function ne_iri_ps_trough_eq(r,amlt,akp,itime)
c
	real pi,amltrad,fact,amlt_o,akp_o
	parameter (pi=3.1415927,amltrad=pi/12.0)
	parameter (fact=0.013/pi)
	real r,amlt,akp,ne_iri_ps_trough_eq,ne_inner_ps
	real outf(11,100),oarr(35),a8,ne_eq_trough,re
	real aheight,pp_factor,pp_profile,ps_inner,am1
	real b1,transh,alpha,ano,x1,x2,y1,y2,am2,b2
	real xintercept,rintercept,ps_bridge,scale,off
	real swtch1,swtch2,switchon,swtch3,alatr,along
	real swtch4,swtch5
	integer itime(2),itime1_o,itime2_o
	data re/6371.0/
	data amlt_o/-99.0/akp_o/-99.0/
	data itime1_o/-99/,itime2_o/-99/
c
c  We don't do inside the earth; we're just not that kind of model, humph!
	if(r.le.1.0) then
	  ne_iri_ps_trough_eq=0.0
	  return
	end if
c
c
c  altitude of point of interest
	aheight=(r-1.0)*re
	pp_factor=pp_profile(r,amlt,akp,a8)
	ps_inner=ne_inner_ps(r,amlt,am1,b1)*1.0e6

	if(amlt.ne.amlt_o .or. akp.ne.akp_o .or.
     &	itime(1).ne.itime1_o .or. itime(2).ne.itime2_o) then
c
c  determine the height power law fit parameters that connect the
c  topside ionosphere to the plasmasphere
	  call iri_ps_eq_bridge(amlt,itime,transh,alpha,ano)

c	type *,'eq',transh,alpha,ano

c  find intercept between power-law with altitude and the
c  inner plasmasphere density profile
c     use only two interations

	  x1=3000.0
	  x2=x1+10.0
	  y1=log10(ano*x1**(-alpha))
	  y2=log10(ano*x2**(-alpha))
	  am2=(y2-y1)/(x2-x1)
	  b2=y1-am2*x1
	  xintercept=(am1+b1-b2+6)/(am2-am1/re)
	  x1=xintercept
	  x2=x1+10.0
	  y1=log10(ano*x1**(-alpha))
	  y2=log10(ano*x2**(-alpha))
	  am2=(y2-y1)/(x2-x1)
	  b2=y1-am2*x1
	  xintercept=(am1+b1-b2+6)/(am2-am1/re)
c
	  rintercept=xintercept/re+1.0
	  amlt_o=amlt
	  akp_o=akp
	  itime1_o=itime(1)
	  itime2_o=itime(2)
	end if

	  ps_bridge=ano*aheight**(-alpha)
	  scale=(am2-am1/re)/am2
	  off=fact*atan(15.0*(scale-0.77))+0.0066
	  swtch2=switchon(r,rintercept+off,0.2)
	  swtch3=switchon(r,rintercept-off,0.2)

	  if (aheight.lt.2000.0) then
	    alatr=0.0
	    along=(amlt+12.0)*amltrad
	    along=along - (1.0-sign(1.0,(12.0-amlt)))*pi
	    call iri_sm(alatr,along,r,itime,outf,oarr)

	    swtch1=switchon(aheight,transh,5.0)
c
	    ne_iri_ps_trough_eq=outf(1,1)*(1.0-swtch1) +
     &	((ps_bridge*(1.0-swtch2) +
     &	ps_inner*swtch3)*pp_factor)*swtch1
	  else

	    swtch4=switchon(r,a8+0.1,0.3)
	    swtch5=switchon(r,a8-0.1,0.3)
	    ne_iri_ps_trough_eq=((ps_bridge*(1.0-swtch2) +
     &	ps_inner*swtch3)*pp_factor)*(1.0-swtch4) +
     &	ne_eq_trough(r,amlt,akp)*1.0e6*swtch5
	  end if
c
c	type *,'* ',swtch1,swtch2,swtch3
c	type *,outf(1,1),ps_bridge,ps_inner,pp_factor
c	type *,r,rintercept,off,aheight,transh,ne_iri_ps_trough_eq

	return
	end
