ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c		Global Core Plasma Model
c		Version 1.0, January 1, 2000
c
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

	subroutine gcpm_v10(itime,r,amlt,amlat,akp,outn)

ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c	Input parameters:
c
c	itime	integer*4	dimensions=2
c		(1) = yeardoy, e.g. 2001093
c		(2) = miliseconds of day
c	r		real*4		dimension=1
c		geocentric radial distance in Re
c	amlt	real*4		dimension=1
c		solar magnetic local time in hours
c	amlat	real*4		dimension=1
c		solar magnetic latitude in radians
c	akp		real*4		dimension=1
c		planetary Kp index
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c	Output parameters:
c	outn	real*4		dimensions=4
c			(1) = total electron density in 1/cm^3
c			(2) = total hydrogen density in 1/cm^3
c			(3) = total helium density in 1/cm^3
c			(4) = total oxygen density in 1/cm^3
ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

	real*4 r,amlt,amlat,outn(4)
	real*4 clat,al,akp
	integer*4 itime(2)

	clat=cos(amlat)**2
	if(clat.lt.1.0e-5) clat=1.0e-5
	al=r/clat
	call ne_subauroral(r,al,amlat,amlt,akp,itime,outn)

	return
	end
